/*++RecurExpand.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


import  edu.washington.cac.calendar.icalendar.BooleanProp;


/**
 * CAP RECUR-EXPAND property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	9.3 [CAP]
 *   occurs:	1 (VREPLY (GET-CAPABILTIES))
 *   datatypes:	BOOLEAN (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparam (0+)???
 *</PRE>
 *
 * @author slh
 * @version 0.00 2002/11/05 slh
 */
public
class  RecurExpand
extends  BooleanProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a RECUR-EXPAND property, unset.
   */
  public
  RecurExpand  (		)
  {
    super( Names.strProp_RecurExpand );
  }


  /**
   * Create a RECUR-EXPAND property set to supplied value.
   */
  public
  RecurExpand  (String	strValue	)
  {
    super( Names.strProp_RecurExpand , strValue );
  }


  /**
   * Create a RECUR-EXPAND property set to supplied value.
   */
  public
  RecurExpand  (int	iValue	)
  {
    super( Names.strProp_RecurExpand , iValue );
  }


  /**
   * Create a RECUR-EXPAND property set to supplied value.
   */
  public
  RecurExpand  (boolean	bValue	)
  {
    super( Names.strProp_RecurExpand , bValue );
  }

}


/* Log:
 *  0.00  2002/10/29, 2002/11/05  slh
 *        create from RecurAccepted.java
 */
/*--RecurExpand.java--------------------------------------------------------*/
